import api from 'src/api';

export const paySchedule = async (scheduleId, payload) => {
  const { data } = await api.post(`/payment/schedule/${scheduleId}/pay`, payload);
  return data.payload;
};

export const getSchedulePixPayment = async (scheduleId) => {
  const { data } = await api.get(`/payment/schedule/${scheduleId}/pix`);
  return data.payload;
};

export const getPaymentPlatformFees = async () => {
  const { data } = await api.get('/payment/platform-fees');
  return data.payload;
};
